<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Registro de Usuarios';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<div class="row" style='width:97%' align='left'>
											<div class="col-sm-3">
												<a href="<?php echo PATH_HOME.'usuarios-ins1/nuevo'?>" class="btn btn-primary" style='color:white'>
													Crear Nuevo Usuario</a>
											</div>																																					
										</div>	
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<th>N&ordm;</th>
													<th>C.I.</th>
													<th>Nombres</th>
													<th>Ubicación</th>
													<th>tipo</th>
													<th>acceso</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM rol_usuarios us, inventarios_ubicaciones ubi
											WHERE us.ubica_codigo = ubi.ubica_codigo
											AND us_estado ='1'
											ORDER BY us_nombres ASC;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;															
												$rol_id = $db->dbField('rol_id');	
												switch($rol_id){															
													//Admin
													case 1 : $tipoUs = "Administrador"; break;  															
													//Vendedores
													case 2 : $tipoUs = "Vendedor"; break;  
													//Almacenes
													case 3 : $tipoUs = "Almacenes"; break;  
													//Cajeros
													case 4 : $tipoUs = "Cajeros"; break;  
													//Super vendedor
													case 5 : $tipoUs = "Super-Vendedor"; break;  
													//Super-Almacenes
													case 6 : $tipoUs = "Super-Almacen"; break;  
													//Super-Cajeros
													case 7 : $tipoUs = "Super-Cajero"; break;  	
													//Consultas productos
													case 8 : $tipoUs = "Consultas"; break;  															
												}
												$us_codigo = $db->dbField('us_codigo');	
												$ubica_codigo = $db->dbField('ubica_codigo');													
													$ubica_nombre = $db->dbField('ubica_nombre');	
													$ubica_color = $db->dbField('ubica_color');	
													
												$us_ci = $db->dbField('us_ci');	
												$us_nombres = $db->dbField('us_nombres');	
												$us_apellidos = $db->dbField('us_apellidos');	
												$us_user = $db->dbField('us_user');	
												$us_pass = $db->dbField('us_pass');	

												$html.='<tr>';
													$html.='<td>'.$i.'</td>';			
													$html.='<td>'.$us_ci.'</td>';													
													$html.='<td>'.$us_nombres.' '.$us_apellidos.'</td>';	
													$html.='<td><div style="background:'.$ubica_color.';color:white;padding:4px 7px;">'.$ubica_nombre.'</td>';		
													$html.='<td align=center>'.$tipoUs.'</td>';												
													$html.='<td><b>Usuario: </b>'.$us_user.'<br>
															      <b>Contrase&ntilde;a: </b>'.substr($us_pass,1,10).'</td>';														
																																						
													$html.="<td align='center'><a href='".PATH_HOME.'usuarios-upd1/'.$us_codigo."' class='btn btn-primary' style='color:white'>
													MODIFICAR</a><br>";
													$html.="<a href='".PATH_HOME."usuarios-del1/".$us_codigo."' class='btn btn-primary ml-auto' style='color:white'>
													BORRAR</a></td>";
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbCiudades').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'eventos/' ?>"+codegen;
});
</script>